// Plot of current in a series resonant circuit
// Filename: ex2703.sce
// First set up the table of values for frequency
f = [100:1:1000]';
// Circuit parameters
C = 1E-6; // Capacitance = 1 uF 
L = 100E-3 // Inductance = 100 mH
r = 50; // Resistance = 50 ohm
v = 10; // Supply = 10V
// Calculate the inductive reactance
xL = 2 * %pi * f * L;
// Calculate the capacitive reactance
xC = (2 * %pi * f * C)^-1;
// Calculate the impedance 
z = sqrt(r^2 + (xL - xC)^2); // xL–xC is the net reactance
// Calculate the current
i = v * z^-1;
// Get rid of any previous plot
clf();
plot(f,i);  // and finally plot the curve
xgrid(); // add grid
xtitle('Current plotted against frequency','Frequency (Hz)','Current (A)'); // Add title and labels for the axes

